ClarisDrawGraphInternal::Bitmap Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisDrawGraphInternal::Bitmap Struct Referencefinal

Internal: structure to store a bitmap of a ClarisDrawGraph. More...

Inheritance diagram for ClarisDrawGraphInternal::Bitmap:

## Public Member Functions
| Bitmap (ClarisWksStruct::DSET const &dset=ClarisWksStruct::DSET())
| constructor More...
| ~Bitmap () final
| destructor More...
Public Member Functions inherited from ClarisWksStruct::DSET
| DSET ()
| constructor More...
| DSET (DSET const &)=default
virtual | ~DSET ()
| virtual destructor More...
bool | isHeaderFooter () const
| test if the zone is an header/footer More...
bool | isSlide () const
| test if the zone is a slide More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
int | getMaximumPage () const
| returns the maximum page More...
virtual void | removeChild (int cId, bool normalChild)
| virtual function to remove a child from a list More...
virtual void | removeChild (int cId)
| virtual function to remove a child from a list More...
void | updateChildPositions (MWAWVec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box More...
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, MWAWVariable< int > &lastPage) const
| find forbidden page break More...
MWAWBox2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box) More...

## Public Attributes
int | m_numBytesPerPixel
| the number of bite by pixel More...
MWAWVec2i | m_bitmapSize
| the bitmap size More...
int | m_bitmapRowSize
| the bitmap row size in the file ( with potential alignment) More...
MWAWEntry | m_entry
| the bitmap entry More...
std::vector< MWAWColor > | m_colorMap
| the color map More...
Public Attributes inherited from ClarisWksStruct::DSET
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Position | m_position
| the zone type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_page
| the page (if known) More...
MWAWBox2f | m_box
| the bounding box (if known) More...
MWAWVec2f | m_pageDimension
| the page dimension (if know) More...
int | m_id
| the zone identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Friends
std::ostream & | operator<< (std::ostream &o, Bitmap const &bt)
| operator<< More...

## Additional Inherited Members
Public Types inherited from ClarisWksStruct::DSET
enum | Position { P_Main =0 , P_Header , P_Footer , P_Frame , P_Footnote , P_Table , P_GraphicMaster , P_Slide , P_SlideNote , P_SlideThumbnail , P_SlideMaster , P_Unknown }
| the zone position More...
enum | ChildType { C_Zone , C_SubText , C_Graphic , C_Unknown }
| the different types of zone child More...

## Detailed Description

Internal: structure to store a bitmap of a ClarisDrawGraph.

## Constructor & Destructor Documentation

## ◆ Bitmap()

ClarisDrawGraphInternal::Bitmap::Bitmap | ( | ClarisWksStruct::DSET const & | dset = `ClarisWksStruct::DSET()` | ) |
| inlineexplicit

constructor

## ◆ ~Bitmap()

ClarisDrawGraphInternal::Bitmap::~Bitmap | ( |  | ) |
| final

destructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Bitmap const & | bt
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_bitmapRowSize

int ClarisDrawGraphInternal::Bitmap::m_bitmapRowSize

the bitmap row size in the file ( with potential alignment)

Referenced by ClarisDrawGraph::readBitmapData(), and ClarisDrawGraph::sendBitmap().

## ◆ m_bitmapSize

MWAWVec2i ClarisDrawGraphInternal::Bitmap::m_bitmapSize

the bitmap size

Referenced by ClarisDrawGraph::readBitmapData(), and ClarisDrawGraph::sendBitmap().

## ◆ m_colorMap

std::vector<MWAWColor> ClarisDrawGraphInternal::Bitmap::m_colorMap

the color map

Referenced by ClarisDrawGraph::sendBitmap().

## ◆ m_entry

MWAWEntry ClarisDrawGraphInternal::Bitmap::m_entry

the bitmap entry

Referenced by ClarisDrawGraph::readBitmapData(), and ClarisDrawGraph::sendBitmap().

## ◆ m_numBytesPerPixel

int ClarisDrawGraphInternal::Bitmap::m_numBytesPerPixel

the number of bite by pixel

Referenced by ClarisDrawGraph::readBitmapData(), and ClarisDrawGraph::sendBitmap().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx